C*****************************************************
C FONCTION P3DI+P4DI
C*****************************************************	
C*****************************************************
C PARTIE FINIE POUR PT5 > PTM
C*****************************************************
c for resolved part: F(x10/eta)/x10 needed, STRFRARRD calculates
c F(x10/eta)/(x10/eta), another eta coming from d eta/eta, 
c therefore divide in FIDIMJ functions by eta^2
C*****************************************************
c part prop. Log(R^2) in 5||3
C*****************************************************
	SUBROUTINE SSY3Rrrd(S,GPT,X10,X20,PTM,R,Y3,Y4,
     #	IH1,IH2,ETA1,ETA2,SY3R)
	IMPLICIT REAL*8 (A-H,L-Z)
	PARAMETER (K0MAX=22)
	DIMENSION PART35R(K0MAX),SF(K0MAX)
	DIMENSION SY3R(K0MAX),TEMP(K0MAX)
	ZERO = 0.D0
	UN = 1.D0
c attention les elements de matrice 2 -> 2 sont independant de 
c l'echelle d'energie
	SC = X10*X20*S
	TC = -X20*DSQRT(S)*GPT*DEXP(Y4)
	UC = -X10*DSQRT(S)*GPT*DEXP(-Y4)
	ZM = (GPT-PTM)/GPT
	CALL STRFRArrd(X10/ETA1,IH1,X20/ETA2,IH2,ETA1,ETA2,SF)
	CALL SPART35Rrrd(SC,TC,UC,ZM,R,PART35R)
	TYU = GPT
	CALL VEC_DMULT_VECTOR(SF,PART35R,K0MAX,TEMP)
	CALL VEC_DMULT_CONSTANT(TEMP,K0MAX,TYU,SY3R)
	RETURN
	END
C**********************************************************************
c part prop. Log(R^2) in 5||4
C**********************************************************************
	SUBROUTINE SSY4Rrrd(S,GPT4,X10,X20,Z4,R,Y3,Y4,
     #	IH1,IH2,ETA1,ETA2,SY4R)
	IMPLICIT REAL*8 (A-H,L-Z)
	PARAMETER (K0MAX=22)
	DIMENSION PART45R(K0MAX),SF(K0MAX)
	DIMENSION SY4R(K0MAX),TEMP(K0MAX)
	ZERO = 0.D0
	UN = 1.D0
	PT4 = GPT4
	X1S = X10/Z4
	X2S = X20/Z4
	if (x1s/eta1.gt.un.or.x2s.gt.eta2) then
	  CALL VEC_DINIT(SY4R,K0MAX,ZERO)
	  return
	endif
c attention les elements de matrice 2 -> 2 sont independant de 
c l'echelle d'energie
	SC = X10*X20*S
	TC = -X20*DSQRT(S)*PT4*DEXP(Y4)
	UC = -X10*DSQRT(S)*PT4*DEXP(-Y4)
	CALL STRFRARRD(X1S/ETA1,IH1,X2S/ETA2,IH2,ETA1,ETA2,SF)
	CALL SPART45Rrrd(SC,TC,UC,Z4,R,PART45R)
	TYU = GPT4/Z4**2
	CALL VEC_DMULT_VECTOR(SF,PART45R,K0MAX,TEMP)
	CALL VEC_DMULT_CONSTANT(TEMP,K0MAX,TYU,SY4R)
	RETURN
	END
C*****************************************************
C FONCTIONS POUR P3DI+P4DI	
C*****************************************************	
C soft (z1=1,z2=1) part of 5||1, 5||2 and virtual 	
C*****************************************************	
	SUBROUTINE SSV12rrd(S,GPT3,GPT4,PTM,Y3,Y4,X10,X20,M,MU,
     #	IH1,IH2,ETA1,ETA2,SV12)
C INTEGRALE A 1 DIMENSIONS
	IMPLICIT REAL*8 (A-H,L-Z)
	COMMON/COUP/PTMM,R
	PARAMETER (K0MAX=22)
	DIMENSION PART15Z(K0MAX),PART15L(K0MAX),PART15D(K0MAX)
	DIMENSION PART25Z(K0MAX),PART25L(K0MAX),PART25D(K0MAX)
	DIMENSION PARTVI(K0MAX),SF(K0MAX)
	DIMENSION TEMP0(K0MAX),TEMP1(K0MAX),TEMP2(K0MAX),TEMP3(K0MAX)
	DIMENSION AU1(K0MAX),AU2(K0MAX),AU3(K0MAX),SV12(K0MAX)
	ZERO = 0.D0
	UN = 1.D0
	X3MIN = 2.D0*GPT3/DSQRT(S)*DCOSH(Y3)
	PT3 = GPT3
	PT4 = PT3
	SC = X10*X20*S
	TC = -X10*DSQRT(S)*PT3*DEXP(-Y3)
	UC = -X20*DSQRT(S)*PT3*DEXP(Y3)
	V1 = X10/ETA1
	V2 = X20/ETA2
	CALL STRFRARRD(V1,IH1,V2,IH2,ETA1,ETA2,SF)
	CALL SPART15Zrrd(SC,TC,UC,UN,M,PTM,PART15Z)
	CALL SPART15Lrrd(SC,TC,UC,UN,PART15L)
	CALL SPART15Drrd(SC,TC,UC,M,PTM,PART15D)
c	
	CALL SPART25Zrrd(SC,TC,UC,UN,M,PTM,PART25Z)
	CALL SPART25Lrrd(SC,TC,UC,UN,PART25L)
	CALL SPART25Drrd(SC,TC,UC,M,PTM,PART25D)
	CALL SPARTVIrrd(S,SC,TC,UC,MU,PT3,PTM,PARTVI)
C
	CALL VEC_DMULT_VECTOR(PART15Z,SF,K0MAX,TEMP0)
	CALL VEC_DMULT_VECTOR(PART15L,SF,K0MAX,TEMP1)
	CALL VEC_DMULT_VECTOR(PART15D,SF,K0MAX,TEMP2)
	TY1 = DLOG(1-V1)
	TY2 = DLOG(1-V1)**2/2.D0
	CALL VEC_DMULT_ADD(TEMP2,TEMP1,K0MAX,TY2,TEMP3)
	CALL VEC_DMULT_ADD(TEMP3,TEMP0,K0MAX,TY1,AU1)
C
	CALL VEC_DMULT_VECTOR(PART25Z,SF,K0MAX,TEMP0)
	CALL VEC_DMULT_VECTOR(PART25L,SF,K0MAX,TEMP1)
	CALL VEC_DMULT_VECTOR(PART25D,SF,K0MAX,TEMP2)
	TY1 = DLOG(1-V2)
	TY2 = DLOG(1-V2)**2/2.D0
	CALL VEC_DMULT_ADD(TEMP2,TEMP1,K0MAX,TY2,TEMP3)
	CALL VEC_DMULT_ADD(TEMP3,TEMP0,K0MAX,TY1,AU2)
C
	CALL VEC_DMULT_VECTOR(PARTVI,SF,K0MAX,AU3)
C
	CALL VEC_DADD_VECTOR(AU1,AU2,K0MAX,TEMP0)
	TY3 = GPT3
	CALL VEC_DADD_MULT_CONSTANT(TEMP0,AU3,K0MAX,TY3,SV12)
	RETURN
	END
C*****************************************************
c part prop. H34(0) in sigma^ir
C*****************************************************	
	SUBROUTINE SSV2rrd(S,GPT3,Y3,Y4,X10,X20,U1,
     #	IH1,IH2,ETA1,ETA2,SV2)
C INTEGRALE A 2 DIMENSIONS
	IMPLICIT REAL*8 (A-H,L-Z)
	COMMON/COUP/PTM,R
	COMMON/FLAG/ICOUP
	PARAMETER (K0MAX=22)
	DIMENSION PARTVI2(K0MAX),SF(K0MAX)
	DIMENSION SV2(K0MAX),TEMP0(K0MAX)
	PI=4.D0*DATAN(1.D0)
	ZERO = 0.D0
	UN = 1.D0
	FI = PI*U1
	PT3 = GPT3
	PT4 = PT3
	YS = (Y3-Y4)/2.D0
	SC = X10*X20*S
	TC = -X10*DSQRT(S)*PT3*DEXP(-Y3)
	UC = -X20*DSQRT(S)*PT3*DEXP(Y3)
	CALL STRFRARRD(X10/ETA1,IH1,X20/ETA2,IH2,ETA1,ETA2,SF)
c debug	write(6,*) 'sf = ', sf
	CALL SPARTVI2rrd(S,SC,TC,UC,YS,FI,PARTVI2)
c debug	write(6,*) 'PARTVI2 =', PARTVI2
	CALL VEC_DMULT_VECTOR(PARTVI2,SF,K0MAX,TEMP0)
	TY = GPT3*PI
	CALL VEC_DMULT_CONSTANT(TEMP0,K0MAX,TY,SV2)
	RETURN
	END
C*****************************************************
C 5||3 except Log(R^2) part
C****************************************************		
	SUBROUTINE SSV3rrd(S,GPT,Y3,Y4,X10,X20,
     #	IH1,IH2,ETA1,ETA2,SV3)
C INTEGRALE A 1 DIMENSIONS
	IMPLICIT REAL*8 (A-H,L-Z)
	PARAMETER (K0MAX=22)
	DIMENSION PART35D(K0MAX),SF(K0MAX)
	DIMENSION SV3(K0MAX),AU3(K0MAX)
	ZERO = 0.D0
	UN = 1.D0
	YS = (Y3-Y4)/2.D0
	Y = (Y3+Y4)/2.D0
c
	SC = X10*X20*S
	TC = -X20*DSQRT(S)*GPT*DEXP(Y4)
	UC = -X10*DSQRT(S)*GPT*DEXP(-Y4)
	CALL STRFRARRD(X10/ETA1,IH1,X20/ETA2,IH2,ETA1,ETA2,SF)
	CALL SPART35Drrd(SC,TC,UC,PART35D)
	CALL VEC_DMULT_VECTOR(PART35D,SF,K0MAX,AU3)
	TY3 = GPT
	CALL VEC_DMULT_CONSTANT(AU3,K0MAX,TY3,SV3)
	RETURN
	END
C*****************************************************
C soft part (z4=1) of 5||4
C***************************************************** 		
	SUBROUTINE SSV4rrd(S,GPT4,GPT3SUP,PTM,Y3,Y4,X10,X20,MF,
     #	IH1,IH2,ETA1,ETA2,SV4)
C INTEGRALE A 1 DIMENSIONS
	IMPLICIT REAL*8 (A-H,L-Z)
	COMMON/COUP/PTMM,R
	COMMON/AURENCHE/IAUREN
	PARAMETER (K0MAX=22)
	DIMENSION PART45Z(K0MAX),PART45L(K0MAX),PART45D(K0MAX),SF(K0MAX)
	DIMENSION SV4(K0MAX),AU4(K0MAX)
	DIMENSION TEMP0(K0MAX),TEMP1(K0MAX),TEMP2(K0MAX),TEMP3(K0MAX)
	ZERO = 0.D0
	UN = 1.D0
	PT4 = GPT4
	PT3 = PT4
C
	X4MIN = 2.D0*GPT4*DCOSH(Y4)/DSQRT(S)
	Z4MAX0 = 1.D0
	Z4SUP = PT4/(PTM+PT4)	
	Z4MINpre = DMAX1(X4MIN,GPT4/GPT3SUP,X10/eta1,X20/eta2)
	 IF (Z4MINpre.ge.1.D0) THEN 
	     write(17,*) 'Z4MINpre > 1 !',Z4MINpre,
     #	             X4MIN,GPT4/GPT3SUP,X10/eta1,X20/eta2
	 ENDIF   
c z4min changed to avoid z4min=1!	  
	  Z4MIN = DMIN1(Z4MINpre,0.99999999D0)	
	  Z4MAX = Z4MAX0	
	SC = X10*X20*S
	TC = -X20*DSQRT(S)*PT4*DEXP(Y4)
	UC = -X10*DSQRT(S)*PT4*DEXP(-Y4)
	CALL STRFRARRD(X10/ETA1,IH1,X20/ETA2,IH2,ETA1,ETA2,SF)
	CALL SPART45Zrrd(SC,TC,UC,UN,MF,PT4,PART45Z)
	CALL SPART45Lrrd(SC,TC,UC,UN,PART45L)
	CALL SPART45Drrd(SC,TC,UC,MF,PT4,PART45D)
	CALL VEC_DMULT_VECTOR(PART45Z,SF,K0MAX,TEMP0)
	CALL VEC_DMULT_VECTOR(PART45L,SF,K0MAX,TEMP1)
	CALL VEC_DMULT_VECTOR(PART45D,SF,K0MAX,TEMP2)
	TY1 = DLOG(1-Z4MIN)
	TY2 = DLOG(1-Z4MIN)**2/2.D0
	CALL VEC_DMULT_ADD(TEMP2,TEMP1,K0MAX,TY2,TEMP3)
	CALL VEC_DMULT_ADD(TEMP3,TEMP0,K0MAX,TY1,AU4)
	TY3 = GPT4
	CALL VEC_DMULT_CONSTANT(AU4,K0MAX,TY3,SV4)
	RETURN
	END
C*****************************************************	
C 5||1(z1) - 5||1(1), 5||2(z2)-5||2(1)
C*****************************************************	
	SUBROUTINE SSY3rrd(S,GPT3,Y3,Y4,X10,X20,M,
     #	U1,IH1,IH2,ETA1,ETA2,SY3)
	IMPLICIT REAL*8 (A-H,L-Z)
c	COMMON/COUPEL/ETAINF,ETASUP,Q2MAXW,XGACUT
	COMMON/COUP/PTMM,R
	PARAMETER (K0MAX=22)
	DIMENSION PART15Z(K0MAX),PART15L(K0MAX)
	DIMENSION PART15Z0(K0MAX),PART15L0(K0MAX)
	DIMENSION PART25Z(K0MAX),PART25L(K0MAX)
	DIMENSION PART25Z0(K0MAX),PART25L0(K0MAX)
	DIMENSION SF(K0MAX),SF0(K0MAX)
	DIMENSION SY3(K0MAX),BU1(K0MAX),BU2(K0MAX)
	DIMENSION TEMP0(K0MAX),TEMP1(K0MAX),TEMP2(K0MAX),TEMP3(K0MAX)
	DIMENSION TEMP4(K0MAX),TEMP5(K0MAX),TEMP6(K0MAX),TEMP7(K0MAX)
	ZERO = 0.D0
	UN = 1.D0
	YS = (Y3-Y4)/2.D0
	Y = (Y3+Y4)/2.D0
	PT3 = GPT3
	PT5X = DSQRT(S)/(2.D0*DCOSH(YS))*(1.D0-X10)*(1.D0-X20)/
     #  ((1.D0-X10)*DEXP(-Y)+(1.D0-X20)*DEXP(Y))
cc	PTM = DMIN1(PTMM,PT5X)
	PTM = PTMM
c
	SC = X10*X20*S
	TC = -X10*DSQRT(S)*PT3*DEXP(-Y3)
	UC = -X20*DSQRT(S)*PT3*DEXP(Y3)
	delta = 1.d-8
	Z1MAX = 1.D0
	Z1MIN = x10/ETA1
	IF (z1min.ge.z1max) THEN
	   CALL VEC_DINIT(BU1,K0MAX,ZERO)
	   go to 11
	ENDIF    
	Z1 = Z1MIN + (Z1MAX-Z1MIN)*U1
c	
	V1 = X10/(ETA1*Z1)
	IF (V1.ge.1.d0) THEN
	   CALL VEC_DINIT(BU1,K0MAX,ZERO)
	   go to 11
	ENDIF    
	CALL STRFRARRD(V1,IH1,X20/ETA2,IH2,ETA1,ETA2,SF)
	CALL STRFRARRD(X10/ETA1,IH1,X20/ETA2,IH2,ETA1,ETA2,SF0)
	CALL SPART15Zrrd(SC,TC,UC,Z1,M,PTM,PART15Z)
	CALL SPART15Zrrd(SC,TC,UC,UN,M,PTM,PART15Z0)
	CALL SPART15Lrrd(SC,TC,UC,Z1,PART15L)
	CALL SPART15Lrrd(SC,TC,UC,UN,PART15L0)
	CALL VEC_DMULT_VECTOR(PART15Z,SF,K0MAX,TEMP0)
	CALL VEC_DMULT_VECTOR(PART15Z0,SF0,K0MAX,TEMP1)
	TY1 = 1.D0/Z1**2
	CALL VEC_DMULT_SUB(TEMP1,TEMP0,K0MAX,TY1,TEMP2)
	TY2 = 1.D0/(1.D0-Z1)
	CALL VEC_DMULT_CONSTANT(TEMP2,K0MAX,TY2,TEMP3)
	CALL VEC_DMULT_VECTOR(PART15L,SF,K0MAX,TEMP4)
	CALL VEC_DMULT_VECTOR(PART15L0,SF0,K0MAX,TEMP5)
	CALL VEC_DMULT_SUB(TEMP5,TEMP4,K0MAX,TY1,TEMP6)
	TY3 = DLOG(1.D0-Z1)/(1.D0-Z1)
	CALL VEC_DMULT_CONSTANT(TEMP6,K0MAX,TY3,TEMP7)
	TY4 = (Z1MAX-Z1MIN)*GPT3
	CALL VEC_DADD_MULT_CONSTANT(TEMP3,TEMP7,K0MAX,TY4,BU1)
c	
  11	Z2MAX = 1.D0
	Z2MIN = X20/ETA2
	IF (z2min.ge.z2max) THEN
	   CALL VEC_DINIT(BU2,K0MAX,ZERO)
	   go to 12
	ENDIF  	
	Z2 = Z2MIN + (Z2MAX-Z2MIN)*U1
c	
	V2 = X20/(ETA2*Z2)
	IF (V2.ge.1.d0) THEN
	   CALL VEC_DINIT(BU2,K0MAX,ZERO)
	   go to 12
	ENDIF    
c
	CALL STRFRARRD(X10/ETA1,IH1,V2,IH2,ETA1,ETA2,SF)
	CALL STRFRARRD(X10/ETA1,IH1,X20/ETA2,IH2,ETA1,ETA2,SF0)
	CALL SPART25Zrrd(SC,TC,UC,Z2,M,PTM,PART25Z)
	CALL SPART25Zrrd(SC,TC,UC,UN,M,PTM,PART25Z0)
	CALL SPART25Lrrd(SC,TC,UC,Z2,PART25L)
	CALL SPART25Lrrd(SC,TC,UC,UN,PART25L0)
	CALL VEC_DMULT_VECTOR(PART25Z,SF,K0MAX,TEMP0)
	CALL VEC_DMULT_VECTOR(PART25Z0,SF0,K0MAX,TEMP1)
	TY1 = 1.D0/Z2**2
	CALL VEC_DMULT_SUB(TEMP1,TEMP0,K0MAX,TY1,TEMP2)
	TY2 = 1.D0/(1.D0-Z2)
	CALL VEC_DMULT_CONSTANT(TEMP2,K0MAX,TY2,TEMP3)
C
	CALL VEC_DMULT_VECTOR(PART25L,SF,K0MAX,TEMP4)
	CALL VEC_DMULT_VECTOR(PART25L0,SF0,K0MAX,TEMP5)
	CALL VEC_DMULT_SUB(TEMP5,TEMP4,K0MAX,TY1,TEMP6)
	TY3 = DLOG(1.D0-Z2)/(1.D0-Z2)
	CALL VEC_DMULT_CONSTANT(TEMP6,K0MAX,TY3,TEMP7)
C
	TY4 = (Z2MAX-Z2MIN)*GPT3
	CALL VEC_DADD_MULT_CONSTANT(TEMP3,TEMP7,K0MAX,TY4,BU2)
C
  12 	CALL VEC_DADD_VECTOR(BU1,BU2,K0MAX,SY3)
	RETURN
	END
C*****************************************************	
c 5||4(z4) - 5||4(1)
c*****************************************************	
	SUBROUTINE SSY4Prrd(S,GPT4,X10,X20,Z4,Y3,Y4,MF,
     #	IH1,IH2,ETA1,ETA2,SY4P)
	IMPLICIT REAL*8 (A-H,L-Z)
	COMMON/AURENCHE/IAUREN
	PARAMETER (K0MAX=22)
	DIMENSION PART45Z(K0MAX),PART45L(K0MAX)
	DIMENSION PART45Z0(K0MAX),PART45L0(K0MAX),SF0(K0MAX)
	DIMENSION SF(K0MAX),SY4P(K0MAX)
	DIMENSION TEMP0(K0MAX),TEMP1(K0MAX),TEMP2(K0MAX),TEMP3(K0MAX)
	DIMENSION TEMP4(K0MAX),TEMP5(K0MAX),TEMP6(K0MAX),TEMP7(K0MAX)
	ZERO = 0.D0
	UN = 1.D0
	PT4 = GPT4
	X1S = X10/Z4
	X2S = X20/Z4
c en principe vrai mais a verif
	if (x1s/eta1.gt.un.or.x2s.gt.eta2) then
	  CALL VEC_DINIT(SY4P,K0MAX,ZERO)
	  write (18,*) 'attention  x1S > 1 ou x2S > 1',
     #		x1S,x2S,eta1,eta2
	  return
	endif
c attention les elements de matrice 2 -> 2 sont independant de 
c l'echelle d'energie
	SC = X10*X20*S
	TC = -X20*DSQRT(S)*PT4*DEXP(Y4)
	UC = -X10*DSQRT(S)*PT4*DEXP(-Y4)
	CALL STRFRARRD(X1S/ETA1,IH1,X2S/ETA2,IH2,ETA1,ETA2,SF)
	CALL STRFRARRD(X10/ETA1,IH1,X20/ETA2,IH2,ETA1,ETA2,SF0)
	CALL SPART45Zrrd(SC,TC,UC,Z4,MF,PT4,PART45Z)
	CALL SPART45Zrrd(SC,TC,UC,UN,MF,PT4,PART45Z0)
	CALL SPART45Lrrd(SC,TC,UC,Z4,PART45L)
	CALL SPART45Lrrd(SC,TC,UC,UN,PART45L0)
C
	CALL VEC_DMULT_VECTOR(PART45Z,SF,K0MAX,TEMP0)
	CALL VEC_DMULT_VECTOR(PART45Z0,SF0,K0MAX,TEMP1)
	TY1 = 1.D0/Z4**2
	CALL VEC_DMULT_SUB(TEMP1,TEMP0,K0MAX,TY1,TEMP2)
	TY2 = 1.D0/(1.D0-Z4)
	CALL VEC_DMULT_CONSTANT(TEMP2,K0MAX,TY2,TEMP3)
C
	CALL VEC_DMULT_VECTOR(PART45L,SF,K0MAX,TEMP4)
	CALL VEC_DMULT_VECTOR(PART45L0,SF0,K0MAX,TEMP5)
	CALL VEC_DMULT_SUB(TEMP5,TEMP4,K0MAX,TY1,TEMP6)
	TY3 = DLOG(1.D0-Z4)/(1.D0-Z4)
	CALL VEC_DMULT_CONSTANT(TEMP6,K0MAX,TY3,TEMP7)
C
	TY4 = GPT4
	CALL VEC_DADD_MULT_CONSTANT(TEMP3,TEMP7,K0MAX,TY4,SY4P)
	RETURN
	END
C*****************************************************
C TERME A L'ORDRE DE BORN	
C*****************************************************	
	SUBROUTINE SFBORNrrd(S,N,GPT3,Y3,Y4,IH1,IH2,ETA1,ETA2,FBORN)
	IMPLICIT REAL*8 (A-H,L-Z)
	PARAMETER (K0MAX=22)
	DIMENSION SF1(K0MAX),RBORN1(K0MAX)
	DIMENSION FBORN(K0MAX),TEMP0(K0MAX)
	ZERO = 0.D0
	UN = 1.D0
	YS = (Y3-Y4)/2.D0
	Y = (Y3+Y4)/2.D0
	PT = GPT3
	X10 = 2.D0*PT/DSQRT(S)*DEXP(Y)*DCOSH(YS)	
	X20 = 2.D0*PT/DSQRT(S)*DEXP(-Y)*DCOSH(YS)
	if (x10/eta1.gt.un.or.x20.gt.eta2) then
	  CALL VEC_DINIT(FBORN,K0MAX,ZERO)
	  write (8,*) 'x10,x20 = ',x10,x20 
	  write (8,*) 'eta1,eta2 = ',eta1,eta2 
	  return
	endif
	SC = 4.D0*PT**2*DCOSH(YS)**2
	TC = -2.D0*PT**2*DCOSH(YS)*DEXP(-YS)
	UC = -2.D0*PT**2*DCOSH(YS)*DEXP(YS)
	CALL STRFRARRD(X10/ETA1,IH1,X20/ETA2,IH2,ETA1,ETA2,SF1)
c	write (8,*) 'SF1    =',SF1 
	CALL BORNrrd(SC,TC,UC,N,RBORN1)
	CALL VEC_DMULT_VECTOR(RBORN1,SF1,K0MAX,TEMP0)
	TY3 = GPT3
	CALL VEC_DMULT_CONSTANT(TEMP0,K0MAX,TY3,FBORN)
	RETURN
	END
c
c resolved box is small due to alternating sign from charges, not included
c ************************************************************	

